> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Accounts

> Get a list of Card Accounts



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /cardaccounts
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cardaccounts:
    get:
      tags:
        - Card Accounts
      summary: Get Card Accounts
      description: Get a list of Card Accounts
      operationId: getCardAccounts
      parameters:
        - $ref: '#/components/parameters/Xid'
        - $ref: '#/components/parameters/CardAccountId'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageToken'
      responses:
        '200':
          description: Retrieve a list of card accounts
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      cardAccounts:
                        type: array
                        items:
                          $ref: '#/components/schemas/CardAccount'
components:
  parameters:
    Xid:
      name: xid
      in: query
      description: Filter by one or more xid
      schema:
        type: array
        items:
          type: string
    CardAccountId:
      name: cardAccountId
      in: query
      description: Filter by one or more Card Account Ids
      schema:
        type: array
        items:
          type: string
    PageSize:
      name: pageSize
      in: query
      description: >
        Limits the number returned items

        Some collections have a upper bound that will disregard this value.

        In case the specified value is higher than the allowed limit, the
        collection limit will be used.

        If no page size is provided, the collection will determine the page size
        itself.
      schema:
        type: number
        minimum: 1
    PageToken:
      name: pageToken
      in: query
      schema:
        type: string
        example: aWVHZWV5OVgK
  schemas:
    PaginatedResult:
      type: object
      properties:
        prevPageToken:
          $ref: '#/components/schemas/PageToken'
        nextPageToken:
          $ref: '#/components/schemas/PageToken'
    CardAccount:
      type: object
      title: Card Account
      required:
        - balance
        - available
        - limit
        - currency
        - outstanding
        - disputeAmount
        - accountType
        - identityType
      properties:
        id:
          $ref: '#/components/schemas/Id'
        xid:
          $ref: '#/components/schemas/Xid'
        xmetadata:
          $ref: '#/components/schemas/Xmetadata'
        name:
          type: string
          description: Name of card account
          example: JOHN CHAN
        accountNumber:
          type: string
          description: Account number of card account
          example: 002-010-1234567-0001
        balance:
          type: number
          description: >-
            The current real-time balance of the card account in the account
            currency. All transactions in the account are added up to calculate
            this balance. Purchases and cash withdrawals increase it, while
            payments and credits decrease it.


            For prepaid accounts, the balance will always be negative to
            indicate a debit balance.
          example: 10000.25
        balanceUsdEquivalent:
          type: number
          description: The equivalent balance of the card account in USD.
          example: 10000.25
        balanceHkdEquivalent:
          type: number
          description: The equivalent balance of the card account in HKD.
          example: 10000.25
        outstanding:
          type: number
          description: >-
            The outstanding balance in the card account currency that needs to
            be repaid. appliable to asset-link mode only.
          example: 7500.5
        disputeAmount:
          type: number
          description: >-
            The card account amount currently under dispute in the card account
            currency. Returns 0 when there is no disputed amount.
          example: 250
        available:
          type: number
          description: >-
            The available spendable amount on the card account. It is calculated
            by subtracting the balance from the assigned credit limit.

            This value represents the total available spendable limit in the
            account and applies to all account types.


            A positive value indicates that the card account has available
            spendable limit.

            For pre-paid mode accounts, this is the only value that should be
            used to determine the account's current available balance.
          example: 825.3
        limit:
          type: number
          description: >
            In Asset-link mode, this is the credit limit assigned to the card
            account.

            For prepaid accounts, the limit is always zero.
          example: 10000.25
        currency:
          type: string
          description: Currency of the card account.
          example: HKD
        accountType:
          type: string
          enum:
            - asset-link
            - prepaid
            - fixed-limit
        assetLink:
          type: object
          description: Asset link configuration
          properties:
            accountId:
              type: string
              description: >-
                Account ID of the asset account (appliable to:
                accountType=asset-link only)
        phoneNumber:
          type: string
          example: '+85212345678'
          description: >
            Contact phone number of card holder, also used to receive 3DS one
            time passcodes.

            Phone number of card holder, also used to receive 3DS one time
            passcodes.

            Partner must ensure that this phone number has been verified.
        identityType:
          type: string
          description: >-
            The type of identity associated with the card holder. Must be either
            "individual" or "corporate".
          enum:
            - individual
            - corporate
        walletId:
          type: string
          example: 0ebd3c68-af60-4a6e-aaa9-040d8e64aa8e
          description: The walletId is one of the Waillets bound to a card account.
        status:
          type: string
          example: active
          description: The status of card account.
          enum:
            - active
            - frozen
        settlementAccountId:
          type: string
          format: uuid
          description: Settlement account id for the fixed limit card account
          example: abcb107d-d98d-49ee-8456-73fa693dbb55
        settlementAccountName:
          type: string
          description: Settlement account name for the fixed limit card account
          example: JOHN CHAN
        settlementAccountNumber:
          type: string
          description: Settlement account number for the fixed limit card account
          example: 002-010-1234567-0001
    PageToken:
      type: string
      description: Opaque page token to retrieve next or previous set of results.
    Id:
      type: string
      format: uuid
      description: ID of resource
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````